POWER9: CAPI2 enablement

Bug #1686519 reported by bugproxy
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
Undecided
Canonical Kernel Team
linux (Ubuntu)
Undecided
Taco Screen team
Zesty
Undecided
Unassigned

Bug Description

== Comment: #0 - Breno Henrique Leitao <email address hidden> - 2017-04-26 15:08:18 ==
Hello,

We would like to include CAPI2 support on the CXL device driver on Zesty kernel.

 The coherent accelerator interface is designed to allow the coherent connection of accelerators (FPGAs and other devices) to a POWER system. These devices need to adhere to the Coherent Accelerator Interface Architecture (CAIA).

  This PSL Version 9 provides new features such as:
    * Interaction with the nest MMU on the P9 chip.
    * Native DMA support.
    * Supports sending ASB_Notify messages for host thread wakeup.
    * Supports Atomic operations.

== Comment: #3 - Breno Henrique Leitao <email address hidden> - 2017-04-26 15:21:25 ==
These are the patches we need:

f24be42aab37c6d07c05126673138e06223a6399 cxl: Add psl9 specific code
d7b1946c7925a270062b2e0718aa57b42ba619c0 cxl: Force psl data-cache flush during device shutdown
abd1d99bb3da42d6c7341c14986f5b8f4dcc6bd5 cxl: Isolate few psl8 specific calls
64663f372c72cedeba1b1dc86df9cc159ae5a93d cxl: Rename some psl8 specific functions
bdd2e7150644fee4de7167a3e08294ef32eeda11 cxl: Update implementation service layer
6dd2d23403396d8e6d153a6c9db56e1a1012bad8 cxl: Keep track of mm struct associated with a context
66ef20c7834b7df18168b12a57ef01c6ae0d1a81 cxl: Remove unused values in bare-metal environment.
aba81433b50350fde68bf80fe9f75d671e15b5ae cxl: Read vsec perst load image
39d40871526627fd0e2cfc1e2fb88500a5049c4c cxl: Fix build when CONFIG_DEBUG_FS=n

CVE References

bugproxy (bugproxy)
tags: added: architecture-ppc64le bugnameltc-153737 severity-medium targetmilestone-inin16043
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Breno Leitão (breno-leitao) wrote :
tags: added: kernel-da-key
Frank Heimes (fheimes)
Changed in ubuntu-power-systems:
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Stefan Bader (smb)
Changed in linux (Ubuntu Zesty):
status: New → Fix Committed
Revision history for this message
Stefan Bader (smb) wrote :

SRU Justification:

Impact: Currently POWER cannot use the coherent acceleration interface (FPGAs and other devices). This would be beneficial if being added to Zesty in order to offer support via the hwe kernel stream.

Fix: Cherry-picked set of patches from upstream.

Testcase: TBD

Changed in linux (Ubuntu):
status: New → Fix Released
Manoj Iyer (manjo)
Changed in ubuntu-power-systems:
status: New → Fix Committed
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2017-05-17 13:36 EDT-------
*** Bug 154774 has been marked as a duplicate of this bug. ***

Revision history for this message
Thadeu Lima de Souza Cascardo (cascardo) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
bugproxy (bugproxy)
tags: added: verification-done-zesty
removed: verification-needed-zesty
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-05-29 09:43 EDT-------
(In reply to comment #10)
> CAPI2 support code tested successful on a P9 system with a CAPI card. No
> issue found.

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (16.0 KiB)

This bug was fixed in the package linux - 4.10.0-22.24

---------------
linux (4.10.0-22.24) zesty; urgency=low

  * linux: 4.10.0-22.24 -proposed tracker (LP: #1691146)

  * Fix NVLINK2 TCE route (LP: #1690155)
    - powerpc/powernv: Fix TCE kill on NVLink2

  * CVE-2017-0605
    - tracing: Use strlcpy() instead of strcpy() in __trace_find_cmdline()

  * perf: qcom: Add L3 cache PMU driver (LP: #1689856)
    - [Config] CONFIG_QCOM_L3_PMU=y
    - perf: qcom: Add L3 cache PMU driver

  * No PMU support for ACPI-based arm64 systems (LP: #1689661)
    - drivers/perf: arm_pmu: rework per-cpu allocation
    - drivers/perf: arm_pmu: manage interrupts per-cpu
    - drivers/perf: arm_pmu: split irq request from enable
    - drivers/perf: arm_pmu: remove pointless PMU disabling
    - drivers/perf: arm_pmu: define armpmu_init_fn
    - drivers/perf: arm_pmu: fold init into alloc
    - drivers/perf: arm_pmu: factor out pmu registration
    - drivers/perf: arm_pmu: simplify cpu_pmu_request_irqs()
    - drivers/perf: arm_pmu: handle no platform_device
    - drivers/perf: arm_pmu: rename irq request/free functions
    - drivers/perf: arm_pmu: split cpu-local irq request/free
    - drivers/perf: arm_pmu: move irq request/free into probe
    - drivers/perf: arm_pmu: split out platform device probe logic
    - arm64: add function to get a cpu's MADT GICC table
    - [Config] CONFIG_ARM_PMU_ACPI=y
    - drivers/perf: arm_pmu: add ACPI framework
    - arm64: pmuv3: handle !PMUv3 when probing
    - arm64: pmuv3: use arm_pmu ACPI framework

  * [SRU][Zesty]QDF2400 kernel oops on ipmitool fru write 0 fru.bin
    (LP: #1689886)
    - ipmi: Fix kernel panic at ipmi_ssif_thread()

  * tty: pl011: fix earlycon work-around for QDF2400 erratum 44 (LP: #1689818)
    - tty: pl011: fix earlycon work-around for QDF2400 erratum 44
    - tty: pl011: use "qdf2400_e44" as the earlycon name for QDF2400 E44

  * kernel-wedge fails in artful due to leftover squashfs-modules d-i files
    (LP: #1688259)
    - Remove squashfs-modules files from d-i
    - [Config] as squashfs-modules is builtin kernel-image must Provides: it

  * arm64/ACPI support for SBSA watchdog (LP: #1688114)
    - clocksource: arm_arch_timer: clean up printk usage
    - clocksource: arm_arch_timer: rename type macros
    - clocksource: arm_arch_timer: rename the PPI enum
    - clocksource: arm_arch_timer: move enums and defines to header file
    - clocksource: arm_arch_timer: add a new enum for spi type
    - clocksource: arm_arch_timer: rework PPI selection
    - clocksource: arm_arch_timer: split dt-only rate handling
    - clocksource: arm_arch_timer: refactor arch_timer_needs_probing
    - clocksource: arm_arch_timer: move arch_timer_needs_of_probing into DT init
      call
    - clocksource: arm_arch_timer: add structs to describe MMIO timer
    - clocksource: arm_arch_timer: split MMIO timer probing.
    - [Config] CONFIG_ACPI_GTDT=y
    - acpi/arm64: Add GTDT table parse driver
    - clocksource: arm_arch_timer: simplify ACPI support code.
    - acpi/arm64: Add memory-mapped timer support in GTDT driver
    - clocksource: arm_arch_timer: add GTDT support for memory-mapped timer
    - acpi/arm64: Add SBS...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers